Ubuntu

linux: 3.11.0-17.31 -proposed tracker

Reported by Brad Figg on 2014-02-03
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Sylvain Pineau
Package-testing
Medium
Canonical Kernel Team
Prepare-package
Medium
Canonical Kernel Team
Prepare-package-meta
Medium
Canonical Kernel Team
Prepare-package-signed
Medium
Canonical Kernel Team
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Paul Larson
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Saucy
Medium
Unassigned

Bug Description

This bug is for tracking the 3.11.0-17.31 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 03. February 2014 19:53 UTC
kernel-stable-Prepare-package-end:Tuesday, 04. February 2014 05:09 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 04. February 2014 05:09 UTC
ppa-package-testing-start:Tuesday, 04. February 2014 06:04 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 06. February 2014 04:28 UTC
kernel-stable-Verification-testing-start:Thursday, 06. February 2014 06:07 UTC
kernel-stable-Certification-testing-start:Thursday, 06. February 2014 06:07 UTC
kernel-stable-Security-signoff-start:Thursday, 06. February 2014 06:07 UTC
kernel-stable-Regression-testing-start:Thursday, 06. February 2014 06:07 UTC
kernel-stable-Security-signoff-end:Wednesday, 12. February 2014 21:04 UTC
kernel-stable-Regression-testing-end:Wednesday, 12. February 2014 23:04 UTC
kernel-stable-Certification-testing-end:Friday, 14. February 2014 22:04 UTC
kernel-stable-Promote-to-updates-start:Monday, 17. February 2014 15:25 UTC
kernel-stable-Promote-to-updates-end:Tuesday, 18. February 2014 14:04 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 18. February 2014 15:10 UTC

Brad Figg (brad-figg) on 2014-02-03
tags: added: kernel-release-tracking-bug
tags: added: saucy
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Saucy):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lowlatency - bug 1276012
linux-ppc - bug 1276013

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-saucy (precise) - bug 1276014

description: updated
Brad Figg (brad-figg) on 2014-02-04
description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed, overrides adjusted, and linux-signed built.

Brad Figg (brad-figg) on 2014-02-06
description: updated
Brad Figg (brad-figg) on 2014-02-06
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2014-02-12
description: updated
Paul Larson (pwlars) wrote :

Good except for a known issue with test_010_proc_maps which has a fix pending in qrt according to sbeattie

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2014-02-12
description: updated
Sylvain Pineau (sylvain-pineau) wrote :

Hardware Certification have begun testing this -proposed kernel.

Sylvain Pineau (sylvain-pineau) wrote :

Hardware Certification have completed testing this -proposed kernel. No regressions were observed and results are available here: http://people.canonical.com/~hwcert/sru-testing/saucy/3.11.0-17.31/saucy-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2014-02-14
description: updated
Brad Figg (brad-figg) on 2014-02-17
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (55.2 KiB)

This bug was fixed in the package linux - 3.11.0-17.31

---------------
linux (3.11.0-17.31) saucy; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1275899
  * Revert "UBUNTU: SAUCE: Fix compat_sys_recvmsg on x32 archs"

  [ John Johansen ]

  * [Upstream] x86, x32: Correct invalid use of user timespec in the kernel
    - LP: #1274754

linux (3.11.0-17.30) saucy; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1270292

  [ Brad Figg ]

  * Start new release

  [ Upstream Kernel Changes ]

  * Revert "ACPI: Add BayTrail SoC GPIO and LPSS ACPI IDs"

linux (3.11.0-17.29) saucy; urgency=low

  [ Brad Figg ]

  * Start new release

  [ Upstream Kernel Changes ]

  * GFS2: Fix ref count bug relating to atomic_open
    - LP: #1269863
  * aio: restore locking of ioctx list on removal
    - LP: #1269863
  * mmc: block: fix a bug of error handling in MMC driver
    - LP: #1269863
  * net/mlx4_en: Fixed crash when port type is changed
    - LP: #1269863
  * net: Fix "ip rule delete table 256"
    - LP: #1269863
  * ipv6: use rt6_get_dflt_router to get default router in rt6_route_rcv
    - LP: #1269863
  * ipv6: protect for_each_sk_fl_rcu in mem_check with rcu_read_lock_bh
    - LP: #1269863

linux (3.11.0-17.28) saucy; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1269875

  [ Brad Figg ]

  * Start new release

  [ Upstream Kernel Changes ]

  * igb: Update link modes display in ethtool
  * Revert "mac80211: allow disable power save in mesh"
    - LP: #1269863
  * Revert "of/address: Handle #address-cells > 2 specially"
    - LP: #1269863
  * net: clamp ->msg_namelen instead of returning an error
    - LP: #1269053
  * random32: fix off-by-one in seeding requirement
    - LP: #1269863
  * bonding: don't permit to use ARP monitoring in 802.3ad mode
    - LP: #1269863
  * usbnet: fix status interrupt urb handling
    - LP: #1269863
  * 6lowpan: Uncompression of traffic class field was incorrect
    - LP: #1269863
  * tuntap: limit head length of skb allocated
    - LP: #1269863
  * macvtap: limit head length of skb allocated
    - LP: #1269863
  * tcp: tsq: restore minimal amount of queueing
    - LP: #1269863
  * bonding: fix two race conditions in bond_store_updelay/downdelay
    - LP: #1269863
  * net-tcp: fix panic in tcp_fastopen_cache_set()
    - LP: #1269863
  * isdnloop: use strlcpy() instead of strcpy()
    - LP: #1269863
  * connector: improved unaligned access error fix
    - LP: #1269863
  * ipv4: fix possible seqlock deadlock
    - LP: #1269863
  * inet: prevent leakage of uninitialized memory to user in recv syscalls
    - LP: #1269863
  * net: rework recvmsg handler msg_name and msg_namelen logic
    - LP: #1269863
  * net: add BUG_ON if kernel advertises msg_namelen > sizeof(struct
    sockaddr_storage)
    - LP: #1269863
  * inet: fix addr_len/msg->msg_namelen assignment in recv_error and rxpmtu
    functions
    - LP: #1269863
  * ipv6: fix leaking uninitialized port number of offender sockaddr
    - LP: #1269863
  * ip6_output: fragment outgoing reassembled skb properly
    - LP: #1269863
  * netfilter: push reasm skb through instead of original frag skbs
    - LP: #1269863
  * xf...

Changed in linux (Ubuntu Saucy):
status: New → Fix Released
Brad Figg (brad-figg) on 2014-02-18
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers